# [TSM.ID].[11031972] -- All Rights Reserved. Proprietary & Confidential.
[package]
name = "xcu-neural-chat"
version = "0.1.0"
edition = "2021"

[dependencies]
tracing = "0.1"
anyhow = "1.0"
# Zero-Copy Serialization 
rkyv = { version = "0.7", features = ["validation"] }
# CRDT untuk Zero-Database Synchronization
crdts = "7.3"
tokio = { version = "1.37", features = ["full"] }
xcu-crypto = { path = "../xcu-crypto" }
tokio-tungstenite = "0.21.0"
futures-util = "0.3.30"
serde_json = "1.0"
tracing-subscriber = "0.3"
